Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005010 [JEDI VCL] 00 JVCL Components crash always 2009-11-06 17:09 2011-06-10 16:10
Reporter The_Unknown View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005010: Error while reading from jvDriveList1.ImageSize: List index exceeds maximum (0)
Description I have a jvDriveList on a form and everytime I run the program (while not having any optical drive installed !!!) the "Exception EReadError" mentioned above shows up.

After that the application crashes and I must kill the task.
Additional Information
Tags No tags attached.
Attached Files zip file icon Projekt.zip [^] (584,869 bytes) 2009-11-17 14:48

- Relationships

-  Notes
(0016862)
The_Unknown (reporter)
2009-11-06 17:12

I forgot to mention, that the bug only appears when ImageSize is "isLarge" !!
(0016887)
obones (administrator)
2009-11-17 14:30

Please provide the zipped sources of a sample application showing this
(0016888)
The_Unknown (reporter)
2009-11-17 14:49

Here you are.

Just deactivate all optical drives through the device manager in the Windows control panel and start the app.
(0016938)
obones (administrator)
2009-12-04 15:21

Thanks for the application, someone will test this
(0017391)
AHUser (developer)
2010-05-16 14:49

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-11-06 17:09 The_Unknown New Issue
2009-11-06 17:12 The_Unknown Note Added: 0016862
2009-11-06 17:13 The_Unknown Issue Monitored: The_Unknown
2009-11-17 14:30 obones Note Added: 0016887
2009-11-17 14:30 obones Status new => feedback
2009-11-17 14:48 The_Unknown File Added: Projekt.zip
2009-11-17 14:49 The_Unknown Note Added: 0016888
2009-12-04 15:21 obones Note Added: 0016938
2009-12-04 15:21 obones Status feedback => acknowledged
2010-05-16 14:49 AHUser Note Added: 0017391
2010-05-16 14:49 AHUser Status acknowledged => resolved
2010-05-16 14:49 AHUser Fixed in Version => Daily / SVN
2010-05-16 14:49 AHUser Resolution open => fixed
2010-05-16 14:49 AHUser Assigned To => AHUser
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker